## scilab 6.0.0

=== debian/changelog ===
scilab (6.0.0-1) unstable; urgency=medium

  * Upload to unstable
  * Disable modelica on armel (missing ocamlopt).

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 02 Dec 2017 13:18:39 +0100

scilab (6.0.0-1~exp1) experimental; urgency=medium

  * Adopting the package, using git now.
  * Updating the package:
    - Use https for uris
    - Bump dh compat to 10
    - Bump d/watch's version to 4
    - Bump std-ver to 4.1.1
    - Update lintian overrides
    - Move bash completions and metainfo files to correct locations
  * Point d/watch to the latest upstream sources.
  * Package new upstream:
    - Version 6.0.0 (Closes: #873590)
    - Drop patch to add support aarch64 : useless now.
    - Refresh patch to point to the scilab-doc package.
    - Refresh patch to find the library path.
    - Drop patch to add missing chapter : useless now.
    - Refresh patch to disable dep checking at Xcos startup.
    - Refresh patch to simplify the helper command-line.
    - Refresh patch to add deps for scicos' modelica compiler.
    - Refresh patch to add a missing lib to the linker list.
    - Drop patch to adapt the xmlgraphics api : useless now.
    - Drop patch to adapt the fop api to 2.0 : we have 2.2.
    - Drop patch to adapt the batik api to 1.8 : we have 1.9.
    - Refresh patch to add the ppc64el arch.
    - Refresh patch for the jogl2 api.
    - Refresh patch for the hdf5 1.10 api.
    - Drop patch to remove non-free code : it came from upstream.
    - Refresh patch for gcc 7.
    - Refresh patch to fix the build with OCaml 4.05.
    - Add new build-depends.
    - Add patch to handle the lucene 4.10 api.
    - Add patch to compile even without HOME.
  * Rework the manpages.
  * Modernize the appstream and desktop files.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 26 Nov 2017 21:39:17 +0100

scilab (5.5.2-6) unstable; urgency=medium

  * Team upload.
  * New patch fix-ocaml-4.05.patch, fixes FTBFS. Thanks to Stéphane Glondu.
    (Closes: #868960)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Sep 2017 12:11:58 +0200

scilab (5.5.2-5) unstable; urgency=medium

  * New patch gcc-7.patch to fix FTBFS with GCC-7 (closes: #853653)

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Aug 2017 20:18:06 +0200

scilab (5.5.2-4) unstable; urgency=medium

  * Team upload
  * New patch scilab.git-f1d7f06.patch backported from upstream commit
    f1d7f06 to replace non-free code (closes: #749833)

 -- Gilles Filippini <pini@debian.org>  Tue, 22 Nov 2016 22:35:16 +0100

scilab (5.5.2-3) unstable; urgency=medium

  * Team upload
  * New patch to support HDF5-1.10 (closes: #841975)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:22:43 +0100

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Build-Depends: cdbs, debhelper (>= 10), gfortran,
 default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
 tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
 gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
# numerical libraries
 libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
 libarpack2-dev (>= 3.0), libeigen3-dev,
# Java deps
 libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libgl1-mesa-dev,
 libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
 libskinlf-java, liblucene4.10-java,
# graphic
 libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
# Documentation
 libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
 javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
 libxml-commons-external-java,
# Optional Scilab features
 libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
 libmatio-dev (>= 1.5.0),
# latex rendering
 libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
# Xcos
 libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
# MPI
 mpi-default-dev,
# Java binding
 libecj-java,
# Unitary testing
 ant-optional, junit4, libcobertura-java
Standards-Version: 4.1.1
Homepage: https://www.scilab.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/scilab
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/scilab

Package: scilab-cli
Architecture: all
Depends: scilab-minimal-bin (>= ${source:Version}),
 scilab-data (= ${binary:Version}), ${misc:Depends},
 scilab-include (>= ${source:Version})
# scilab-include is installed by default since it is widely used by many
# toolboxes
Recommends: scilab-sivp (>= 0.5.2)
Suggests: gfortran, gcc, scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
 scilab-doc-pt-br (= ${binary:Version}),
 scilab-doc-ja (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
# any because of the bug #550243
Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
 ${misc:Depends}
Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
 libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libjrosetta-java (>= 1.0.1),
 libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
 libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
 fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
 javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
 libskinlf-java, ${misc:Depends}, libecj-java, libfreehep-graphics2d-java,
 libfreehep-graphicsio-emf-java
Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.


Package: scilab-minimal-bin-dbg
Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-minimal-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab-cli debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-full-bin-dbg
Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-full-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Scientific software package (English documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Depends: scilab-doc, ${misc:Depends}
Description: Scientific software package (French documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Detect the arch (with the naming of Sun)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel ppc64el=ppc64le arm64=aarch64
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
	--with-fftw \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help \
	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-mpi --disable-static-system-lib
#	--enable-compilation-tests

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  DEB_CONFIGURE_NORMAL_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# requires ocamlopt
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel ppc64el mips mipsel s390x sparc))
  DEB_CONFIGURE_NORMAL_ARGS += --without-modelica
endif

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"

ENABLE_BUILD_HELP_ARCHS := amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
# Enable the build on these arch. it timeouts for the other archs
DEB_MAKE_BUILD_TARGET := all doc
else
DEB_MAKE_BUILD_TARGET := all
endif

DEB_MAKE_INSTALL_TARGET := install install-data install-html \
					prefix=$(DEB_DESTDIR)/usr \
				   bindir=$(DEB_DESTDIR)/usr/bin \
				   datadir=$(DEB_DESTDIR)/usr/share/ \
				   sharedir=$(DEB_DESTDIR)/usr/share/ \
				   docdir=$(DEB_DESTDIR)/usr/share/doc/

DEB_DH_MAKESHLIBS_ARGS_scilab-full-bin = -n
DEB_DH_MAKESHLIBS_ARGS_scilab-minimal-bin = -n
DEB_DH_SHLIBDEPS_ARGS_scilab-full-bin = -Xusr/lib/jni/libjavasci.so
#DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_CHANGELOGS_ALL = CHANGES.md

# Do not run libtoolize because it can mess up with Scilab library
debian/stamp-autotools-files:
	autoreconf

common-install-arch::
# Remove empty directories
	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
# Remove la files
	find $(DEB_DESTDIR)/usr/lib/ -name '*.la' -delete

install/scilab-data::
# Fails the build if some basic file does not exist
	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
		exit 1; \
	fi
# Remove extra license files to make lintian happier
# See debian/copyright for them
	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt

# Remove COPYING file
	rm $(DEB_DESTDIR)usr/share/scilab/COPYING

# Remove dead code
	rm -rf $(DEB_DESTDIR)usr/share/scilab/modules/helptools/bin $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/demos/tk/timer $(DEB_DESTDIR)usr/share/scilab/modules/intersci/examples/sedprov $(DEB_DESTDIR)usr/share/scilab/modules/macros

	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/icons/
	cp -R $(DEB_DESTDIR)usr/share/icons/hicolor/ $(CURDIR)/debian/scilab-cli/usr/share/icons/

# Management of the tests, help and demos
	for dir in $(DEB_DESTDIR)usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/help/en_US; then \
			mkdir -p $$target/help; \
			mv $$dir/help/en_US $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		# remove if empty; \
		rmdir --ignore-fail-on-non-empty $$dir/help; \
	done
	# Remove empty directories
	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete

install/scilab-doc::
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-fr::
	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-pt-br::
	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-ja::
	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/

binary-install/scilab-minimal-bin::

#	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
#		chrpath -d $$file; \
#	done

#	for file in $(DEB_DESTDIR)/usr/bin/scilab-cli-bin; do \
#		chrpath -d $$file; \
#	done

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

#binary-install/scilab-full-bin::
# Remove rpath
#	for file in $(DEB_DESTDIR)/usr/bin/scilab-bin  $(DEB_DESTDIR)/usr/bin/intersci; do \
#		chrpath -d $$file; \
#	done

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/

clean::
# Remove empty translation files
	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po

=== debian/watch ===
version=4
https://www.scilab.org/en/development/sources/latest \
 .*/scilab-([\d\.]+)-src.*.tar.gz

## scilab 6.0.1

=== contrib/xcos_toolbox_skeleton/DESCRIPTION ===
// Modify this file to provide a description of your toolbox.
// This file is  used by Atoms GUI in scilab, to show information about the toolbox.
//
// Note that it will NOT be used when publishing your toolbox on http://atoms.scilab.org;
// the present file is only used if you distribute your toolbox yourself.
// On the http://atoms.scilab.org site, only the information you provide there is used.
//
//
// Lines starting with // are comments
// (you can remove all the comments designed to help you)
// Lines starting with a space are continuation of the previous field.
// Empty lines separate fields.


// Unique identifier for this toolbox.
// It must be alphanumeric, start with a letter and contain neither space
// nor special characters other than underscore or dash.
Toolbox: toolbox_skeleton

// Human-friendly name for your toolbox
Title: Toolbox Skeleton

// One-line description for your toolbox
Summary: Skeleton of a valid atoms package

// Version number, in format 'major.minor.patch', or
// 'major.minor.patch', where all fields are numbers.
// If you are just starting your toolbox, you should use '0.1' or '0.1.0'.
// Use '1.0' or '1.0.0' for a tested, good quality first version.
Version: 0.1.0

// Name(s) of the author(s) of this toolbox.
// They are usually the original copyright holders
// (persons or entities)
Author: Your Name
  Other Author

// Name(s) and email address(es) of the person(s) maintaining this toolbox
Maintainer: Your Name <name@address.com>
  Other Maintainer <othername@address.com>

// Categories that this toolbox belongs to.
// The toolbox will appear in the Scilab Atoms GUI
// under the categories that you select here.
Category: Xcos

// Name of the institution (company, university, lab...) who has developped the toolbox.
// If you developped the toolbox as an individual, then just enter "private individual"
Entity: Scilab Enterprises

// Optional website that has more information about this toolbox
WebSite: http://www.scilab.org

// License under which the toolbox will be published
License: GPL 2.0

// Version of Scilab supported by this toolbox,
// prefixed by =, >= ...
ScilabVersion: >= 6.0

// Unique identifiers of other toolbox(es) that must be installed in order
// this toolboxes to work. Atoms will automatically ensure that
// the dependent toolboxes listed here are installed on the user's
// Scilab installation.
// If multiple values, put one per line (starting each line with a space)>
Depends: 

// Creation date
Date: 2016-03-01

Description: Succinct presentation of this toolbox.

 It should cover:
 - What problem the toolbox solves,
 - If it requires any third-party software or hardware,
   and how to install them,
 - Some basics about how to use it, such as an example of use.
 but ensuring that each line starts with a space.

=== debian/changelog ===
scilab (6.0.1-7ubuntu1~18.04.2) bionic; urgency=medium

  * d/p/addLibraryPath.patch: fix crash at startup. LP: #1870813

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 09 Sep 2021 13:41:59 +0200

scilab (6.0.1-7ubuntu1~18.04.1) bionic; urgency=medium

  [ Alexis Murzeau ]
  * Fix a startup issue with scilab-cli & scilab-adv-cli. (Closes: #907607,
    LP: #1825037)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 21 May 2019 20:36:16 +0000

scilab (6.0.1-7ubuntu1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2019 13:51:26 +0100

scilab (6.0.1-7ubuntu1) disco; urgency=medium

  * Fix desktop startup. LP: #1807602.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2019 13:44:44 +0100

scilab (6.0.1-7build2) disco; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jan 2019 15:21:20 +0100

scilab (6.0.1-7build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 12:11:03 +0100

scilab (6.0.1-7) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * New patch force-fop-jar-into-classpath.patch:
    force /usr/share/java/fop.jar into the classpath.  Closes: #915102

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Dec 2018 12:51:24 +0100

scilab (6.0.1-6) unstable; urgency=medium

  * Bump std-ver to 4.2.1.
  * Merge pull request from E.Bourg (Closes: #912392).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Nov 2018 18:51:45 +0100

scilab (6.0.1-5) unstable; urgency=medium

  * Rework building doc (fixes another FTBFS on non-amd64)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 Jul 2018 09:01:24 +0200

scilab (6.0.1-4) unstable; urgency=medium

  * Remove faulty rmdir in d/rules (fixes a FTBFS on non-amd64)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 Jul 2018 11:05:03 +0200

scilab (6.0.1-3) unstable; urgency=medium

  * Rework the java >= 9 support (Closes: #875790,#739235,#818352,#662986).
  * Declared all doc packages as Multi-Arch: foreign following hinter.
  * Rewrite d/rules removing use of cdbs.
  * Clean up packaging:
    - Bump dh compat to 11 (Closes: #746028)
    - Bump std-ver to 4.1.5
    - don't ship various useless files
    - remove some lintian overrides
    - don't ship fonts : find them elsewhere
  * Checked that scilab does start
    (Closes: #712065,#764783,#812311,#891351,#896118).
  * Add patch to fix fortran compilation (Closes: #904856).
  * Checked that it builds with recent gcc (Closes: #791274).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 29 Jul 2018 12:08:00 +0200

scilab (6.0.1-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 9 (Closes: #875790)

  [ Julien Puydt ]
  * Depend on unversioned tcl/tk (Closes: #803526)
  * Force use of java 8 since later versions aren't supported (Closes: #875790)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 03 May 2018 09:06:16 +0200

scilab (6.0.1-1) unstable; urgency=medium

  * Formally adopting the package (Closes: #744140).
  * Add Multi-Arch: indications following hinter.
  * Bump std-ver to 4.1.3.
  * Add dep on liblucene4.10-java for scilab-full-bin.
  * Remove broken symlink to a directory with manpages (Closes: #782051).
  * Make the build reproducible (Closes: #863117).
  * Point Vcs* fields to salsa.debian.org.
  * Package latest upstream (Closes: #891332).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 26 Feb 2018 13:32:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: scilab
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: cdbs, debhelper (>= 10), gfortran,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Julien Puydt <jpuydt@debian.org>
+Build-Depends: debhelper (>= 11), gfortran,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
- tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
+ tcl-dev, tk-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
  gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
 # numerical libraries
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0), libeigen3-dev,
 # Java deps
- libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libgl1-mesa-dev,
- libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
- libskinlf-java, liblucene4.10-java,
+ default-jre-headless, libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2),
+ libgl1-mesa-dev, libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
+ libskinlf-java, liblucene4.10-java, libactivation-java, libjaxb-java,
 # graphic
  libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
 # Documentation
@@ -33,10 +34,10 @@
  libecj-java,
 # Unitary testing
  ant-optional, junit4, libcobertura-java
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://www.scilab.org
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/scilab
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/scilab
+Vcs-Git: https://salsa.debian.org/science-team/scilab.git
+Vcs-Browser: https://salsa.debian.org/science-team/scilab
 
 Package: scilab-cli
 Architecture: all
@@ -85,6 +86,7 @@
 
 Package: scilab-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Scientific software package for numerical computations (data files)
  Scilab is a matrix-based scientific software package.
@@ -129,7 +131,7 @@
 Package: scilab-minimal-bin
 Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
- ${misc:Depends}
+ ${misc:Depends}, default-jre-headless
 Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
 Breaks: scilab-full-bin (<< 5.4.1-3)
 Description: Scientific software package for numerical computations (minimal binary files)
@@ -160,7 +162,8 @@
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
  javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
  libskinlf-java, ${misc:Depends}, libecj-java, libfreehep-graphics2d-java,
- libfreehep-graphicsio-emf-java
+ libfreehep-graphicsio-emf-java, liblucene4.10-java, libactivation-java,
+ libjaxb-java
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Description: Scientific software package for numerical computations (all binary files)
@@ -181,49 +184,11 @@
  .
  This package contains the architecture specific binary files.
 
-
-Package: scilab-minimal-bin-dbg
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
-Section: debug
-Pre-Depends: ${dpkg:Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-minimal-bin (>= ${source:Version})
-Suggests: scilab (>= ${source:Version})
-Description: Scientific software package (scilab-cli debugging symbols)
- Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals, linear systems, lists,
- etc...) and comes with a number of specific toolboxes for
- control, signal processing, ...
- .
- This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
- Stable and efficient solution for industrial and academics needs, Xcos
- provides functionalities for modeling of mechanical systems (automotive,
- aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
- etc. Modelica capabilities are also provided.
- .
- This package contains the architecture specific debugging symbols.
-
-Package: scilab-full-bin-dbg
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
-Section: debug
-Pre-Depends: ${dpkg:Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-full-bin (>= ${source:Version})
-Suggests: scilab (>= ${source:Version})
-Description: Scientific software package (scilab debugging symbols)
- Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals, linear systems, lists,
- etc...) and comes with a number of specific toolboxes for
- control, signal processing, ...
- .
- This package contains the architecture specific debugging symbols.
-
 Package: scilab-doc
 Section: doc
 Depends: ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: Scientific software package (English documentations)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
@@ -244,6 +209,7 @@
 Package: scilab-doc-fr
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: scilab-doc, ${misc:Depends}
 Description: Scientific software package (French documentation)
  Scilab is a matrix-based scientific software package.
@@ -254,3 +220,41 @@
  .
  This package also provides Xcos, a graphical editor to design hybrid
  dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ Stable and efficient solution for industrial and academics needs, Xcos
+ provides functionalities for modeling of mechanical systems (automotive,
+ aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package contains help pages in French.
+
+Package: scilab-doc-pt-br
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: scilab-doc, ${misc:Depends}
+Description: Scientific software package (Brazilian Portuguese documentation)
+ Scilab is a matrix-based scientific software package.
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
+ control, signal processing, ...
+ .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ Stable and efficient solution for industrial and academics needs, Xcos
+ provides functionalities for modeling of mechanical systems (automotive,
+ aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package contains help pages in Brazilian Portuguese documentation.
+
+Package: scilab-doc-ja
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: scilab-doc, ${misc:Depends}
+Description: Scientific software package (Japanese documentation)
+ Scilab is a matrix-based scientific software package.
+ Scilab contains hundreds of built-in mathematical functions, rich

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_ARGS += --prefix=/usr \
	--with-fftw \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help \
	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-mpi --disable-static-system-lib

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  CONFIGURE_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# requires ocamlopt
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel ppc64el mips mipsel s390x sparc))
  CONFIGURE_ARGS += --without-modelica
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),amd64))
	DOC=1
else
	DOC=0
endif

%:
	dh $@

# Do not run libtoolize because it can mess up with Scilab library
override_dh_autoreconf:
	autoreconf

override_dh_auto_configure:
	./configure $(CONFIGURE_ARGS)

override_dh_auto_build:
ifeq ($(DOC), 1)
	make all doc
else
	make all
endif

# doesn't work
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_auto_install:
	make install install-data install-html \
		prefix=$(CURDIR)/debian/tmp/usr \
		bindir=$(CURDIR)/debian/tmp/usr/bin \
		datadir=$(CURDIR)/debian/tmp/usr/share/ \
		sharedir=$(CURDIR)/debian/tmp/usr/share/ \
		docdir=$(CURDIR)/debian/tmp/usr/share/doc/

# Remove empty directories but not files (#907607: scilab-cli doesn't start)
	find debian/tmp/usr/share/scilab -type d -empty -delete
# Remove la files
	find debian/tmp/usr/lib/ -name '*.la' -delete
# Remove deps files
	rm -rf `find debian/tmp -type d -name .deps`
# Remove extra license files to make lintian happier
# See debian/copyright for them
	find debian/tmp/usr/share/scilab -type f -name "*license.txt" -delete
# Remove all readme files and the changelog (it is in /usr/share/doc/scilab/)
	find debian/tmp/usr/share/scilab -type f -iname "readme*" -delete
	find debian/tmp/usr/share/scilab -type f -name CHANGES.md -delete
# Remove COPYING file
	rm debian/tmp/usr/share/scilab/COPYING
# Remove Visual project files
	find debian/tmp/usr/share/scilab -name "*.sln" -delete
# Remove a font file which is already shipped in another package
	find debian/tmp/usr/share/scilab -name "*.ttf" -delete

# Remove dead code
	rm -rf debian/tmp/usr/share/scilab/modules/helptools/bin debian/tmp/usr/share/scilab/modules/tclsci/demos/tk/timer debian/tmp/usr/share/scilab/modules/intersci/examples/sedprov debian/tmp/usr/share/scilab/modules/macros

	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/icons/
	cp -R debian/tmp/usr/share/icons/hicolor/ $(CURDIR)/debian/scilab-cli/usr/share/icons/

# Management of the tests, help and demos
	for dir in debian/tmp/usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/help/en_US; then \
			mkdir -p $$target/help; \
			mv $$dir/help/en_US $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done
	# Remove empty directories
	find debian/tmp/usr/share/scilab -type d -empty -delete

ifeq ($(DOC), 1)
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
endif

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/

=== debian/watch ===
version=4
https://www.scilab.org/en/development/sources/stable \
 .*/scilab-([\d\.]+)-src.*.tar.gz
